Search
K
Policy Transactions

Cancel Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json

CancelTransactionRequest

correlationIdstring

Example:657b717b7dcf554abf9ef067

transactionIdstringrequired

Example:377

reasonstringrequired

Reason for cancellation

Example:Entered Incorrect Email Id

externalTransactionIdstring

Transaction ID from external system

Example:A12345

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Submit Transaction Successful

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/canceltransaction

Body

{ "transactionId": "377", "reason": "Entered Incorrect Email Id" }
 
application/json

IdentifierInstance

object

An object representing an identifier and its corresponding value.

identifierstring

The type of identifier.

Allowed values:eAppIdpolicyNumber

valuestring

The value of the identifier.

Example:ABC123349257367

Example

CreateCaseRequest

object
planCodestringrequired

Product code provided by the Zinnia system

Example:ABC001

policyNumberstring

In case of Post Issue Policy Number will be mandatory

Example:EVGL1234567

correlationIdstring

The correlationId associated with the case.

Example:218d8992-3783-42ac-b59a-66cbc36adaab

caseTypestringrequired

The type associated with the case.

Allowed values:ReinstatementNew Business

Example:Reinstatement

caseSubTypestringrequired

The type associated with the case.

Allowed values:ReinstatementLife Application

Example:Reinstatement

identifiersarray[object]required

An object representing an identifier and its corresponding value.

Show Child Parameters
Example

CaseSuccessResponse

object
caseIdstring

Example:CA000000536

correlationIdstring

Example:15ea7582-262f-4dfe-8a60-1e8b8e763fd4

eappIdstring

Example:15ea7582-262f-4dfe-8a60-1e8b8e763fd4

policyNumberstring

Example:ABC37457845

Example

CaseCancellationRequest

object
correlationIdstringrequired

Unique identifier to trace the request across systems

Example:218d8992-3783-42ac-b59a-66cbc36adaa2

policyNumberstringrequired

The policy number associated with the case

Example:FIUL463340020

reasonstringrequired

The reason for cancelling the case

Example:User requested cancellation

requestedBystring

The entity requesting cancellation. Derived from the authenticated token.

Example:CLIENT

typestringrequired

The transaction type associated with the case

Example:Reinstatement

subTypestring

The transaction sub-type associated with the case

Example:Reinstatement

Example